Summary: The finger client.
Name: finger
Version: 0.16
Release: 1mdk
Copyright: BSD
Group: Networking/Other
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/finger/bsd-finger-%{version}.tar.gz
Patch0: bsd-finger-0.16-pts.patch
Patch1: bsd-finger-0.10-exact.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger package includes a standard
finger client.

You should install finger if you'd like to retreive finger information
from other systems.

%package server
Summary: The finger daemon.
Group: System/Servers
Requires: inetd

%description server
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger-server package includes a standard
finger server. The server daemon (fingerd) runs from /etc/inetd.conf,
which must be modified to disable finger requests.

You should install finger-server if your system is used by multiple users
and you'd like finger information to be available.

%prep
%setup -q -n bsd-finger-%{version}
%patch0 -p1 -b .pts
%patch1 -p1 -b .exact

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man8,sbin}
make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/usr/bin/finger
/usr/man/man1/finger.1*

%files server
%defattr(-,root,root,755)
/usr/sbin/in.fingerd
/usr/man/man8/in.fingerd.8*
/usr/man/man8/fingerd.8*

%changelog
* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.16-1mdk
- Updates to version 0.16
- specfile cleanup 
- groups and spec-helper
- splited into server and client packages

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environement (Rel: 27mdk).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

